## python-opem 1.4+dfsg

=== requirements.txt ===
art>0.7
requests>=2.20.0

## python-opem 1.3+dfsg

=== debian/changelog ===
python-opem (1.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 29 Dec 2023 22:30:43 -0300

python-opem (1.3+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1056148)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Thu, 30 Nov 2023 03:15:00 +0000

=== debian/control ===
Source: python-opem
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Yogeswaran Umasankar <kd8mbd@gmail.com>
Homepage: https://github.com/ECSIM/opem
Vcs-Git: https://salsa.debian.org/python-team/packages/python-opem.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-opem
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3-setuptools,
               dh-python,
               python3-all,
               libjs-chart.js <!nocheck>,
               python3-pytest <!nocheck>,
               python3-notebook <!nocheck>,
               python3-art <!nocheck>,
               python3-requests <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.2

Package: python3-opem
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-art,
         libjs-chart.js,
         python3-requests
Pre-Depends: ${misc:Pre-Depends}
Description: Open-Source PEMFC Simulation Tool
 Open-Source PEMFC Simulation Tool OPEM is a modeling tool
 for evaluating the performance of proton exchange membrane
 fuel cells. This package is a combination of models
 (static/dynamic) that predict the optimum operating
 parameters of PEMFC.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=opem
# Skip test that is known to fail due to check for package update.
export PYBUILD_TEST_ARGS=-k "not test_Functions"
#Skip test in python 3.12 to avoid test failure
export PYBUILD_DISABLE_python3.12=test

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_install:
	#Remove __pycache__
	find . -type d -name '__pycache__' -exec rm -r {} +

=== debian/tests/control ===
Tests: runtests
Depends: @, libjs-chart.js, python3-notebook, python3-art, python3-requests, python3-pytest, python3-all
Restrictions: allow-stderr

## python-opem 1.4+dfsg

=== debian/changelog ===
python-opem (1.4+dfsg-1) unstable; urgency=medium

  * Updated to new upstream version 1.4.
  * Removed upstream-patch1.patch from d/patches.
  * d/control: updated Build-Depends and added Testsuite.
  * d/copyright: updated year for debian/*.
  * Removed d/pybuild.testfiles.
  * d/python3-opem.docs: removed MATLAB/*.
  * d/rules: Set asyncio-mode=auto + enabled tests + added
    override_dh_auto_install.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sat, 23 Mar 2024 23:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,21 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                python3-setuptools,
-               dh-python,
+               dh-sequence-python3,
                python3-all,
-               libjs-chart.js <!nocheck>,
+               python3-requests,
+               libjs-chart.js,
                python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
                python3-notebook <!nocheck>,
                python3-art <!nocheck>,
-               python3-requests <!nocheck>
+               python3-bandit <!nocheck>,
+               vulture <!nocheck>,
+               python3-pydocstyle <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-opem
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=opem
# Skip test that is known to fail due to check for package update.
export PYTEST_ADDOPTS = --asyncio-mode=auto -k 'not test_Functions'

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_install:
	#Remove __pycache__
	find . -type d -name '__pycache__' -exec rm -r {} +

override_dh_auto_install:
	dh_auto_install
	# Exclude the 'opem' binary
	rm debian/python3-opem/usr/bin/opem
	rm -d debian/python3-opem/usr/bin

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://github.com/ECSIM/opem/tags .*/v(\d\S+)\.tar\.gz
